//---------------------------------------------------------------------------------------------------------------------------------------------------
// <copyright file="PauseScreen.cs" company="DarkWynter Studios">
//     Copyright (C)2007 DarkWynter Studios.  All rights reserved.
// </copyright>
//---------------------------------------------------------------------------------------------------------------------------------------------------
// {License Information: Creative Commons}
//---------------------------------------------------------------------------------------------------------------------------------------------------

namespace ElementalGame
{
    #region Using Statements
    using System;
    using System.Collections.Generic;
    using Microsoft.Xna.Framework;
    using Microsoft.Xna.Framework.Audio;
    using Microsoft.Xna.Framework.Content;
    using Microsoft.Xna.Framework.Graphics;
    using Microsoft.Xna.Framework.Input;
    using Microsoft.Xna.Framework.Storage;
    #endregion

    // The Intro cutscene
    public class OutroScene : CutSceneScreen
    {
        const int SCREEN_TIMER = 1500;
        const int BLACK_TIMER = 500;

        // Constructor:
        public OutroScene() : base()
        {
            screens.Add(ElementalGame.content.Load<Texture2D>("_textures/cutScenes/_000"));
            screens.Add(ElementalGame.content.Load<Texture2D>("_textures/cutScenes/black"));
            screens.Add(ElementalGame.content.Load<Texture2D>("_textures/cutScenes/_001"));
            screens.Add(ElementalGame.content.Load<Texture2D>("_textures/cutScenes/black"));
            screens.Add(ElementalGame.content.Load<Texture2D>("_textures/cutScenes/_002"));
            screens.Add(ElementalGame.content.Load<Texture2D>("_textures/cutScenes/black"));
            screens.Add(ElementalGame.content.Load<Texture2D>("_textures/cutScenes/_003"));
            screens.Add(ElementalGame.content.Load<Texture2D>("_textures/cutScenes/black"));
            screens.Add(ElementalGame.content.Load<Texture2D>("_textures/cutScenes/_004"));
            screens.Add(ElementalGame.content.Load<Texture2D>("_textures/cutScenes/black"));
            screens.Add(ElementalGame.content.Load<Texture2D>("_textures/cutScenes/corner"));
            screens.Add(ElementalGame.content.Load<Texture2D>("_textures/cutScenes/black"));

            screenTimeDelays.Add(SCREEN_TIMER);
            screenTimeDelays.Add(BLACK_TIMER);
            screenTimeDelays.Add(SCREEN_TIMER);
            screenTimeDelays.Add(BLACK_TIMER);
            screenTimeDelays.Add(SCREEN_TIMER);
            screenTimeDelays.Add(BLACK_TIMER);
            screenTimeDelays.Add(SCREEN_TIMER);
            screenTimeDelays.Add(BLACK_TIMER);
            screenTimeDelays.Add(SCREEN_TIMER);
            screenTimeDelays.Add(BLACK_TIMER);
            screenTimeDelays.Add(SCREEN_TIMER);
            screenTimeDelays.Add(BLACK_TIMER);
        }
    }
}