//---------------------------------------------------------------------------------------------------------------------------------------------------
// <copyright file="GameSetup.cs" company="DarkWynter Studios">
//     Copyright (C)2007 DarkWynter Studios.  All rights reserved.
// </copyright>
//---------------------------------------------------------------------------------------------------------------------------------------------------
// {License Information: Creative Commons}
//---------------------------------------------------------------------------------------------------------------------------------------------------

namespace ElementalGame
{
    // The Setup screen
    public class GameSetup : GameScreen
    {
        public GameSetup()
        {
            // Instantiate the GameMenu
            menu = new GameMenu("Game Setup", 100, 100);
            menu.SetDrawMenuTitle(false);
            menu.AddMenuOption("Game type:", "Story Mode", "Deathmatch", "Survival", "Last man standing");
            menu.AddLabel("");
            menu.AddLabel("");
            menu.AddLabel("Game options:");
            menu.AddValueInput("# Players:", 1, 4, 1, 1);
            menu.AddValueInput("Max kills:", 1, 10, 3, 1);
            menu.AddMenuOption("Difficulty:", "Lamer", "Average Joe", "Uber Mental");
            menu.AddValueInput("Bots:", 0, 10, 1, 1);
            menu.AddValueInput("Bot intelligence:", 1, 10, 5, 1);
        }
    }
}