//---------------------------------------------------------------------------------------------------------------------------------------------------
// <copyright file="TitleScreen.cs" company="DarkWynter Studios">
//     Copyright (C)2007 DarkWynter Studios.  All rights reserved.
// </copyright>
//---------------------------------------------------------------------------------------------------------------------------------------------------
// {License Information: Creative Commons}
//---------------------------------------------------------------------------------------------------------------------------------------------------

namespace ElementalGame
{
    #region Using Statements
    using System;
    using System.Collections.Generic;
    using Microsoft.Xna.Framework;
    using Microsoft.Xna.Framework.Audio;
    using Microsoft.Xna.Framework.Content;
    using Microsoft.Xna.Framework.Graphics;
    using Microsoft.Xna.Framework.Input;
    using Microsoft.Xna.Framework.Storage;
    #endregion

    // Our Starting Title Screen
    public class TitleScreen : GameScreen
    {
        // Constructor:
        public TitleScreen()
        {
            //Instantiate the GameMenu
            // Title screen will only have the splash image

            menu = new GameMenu("", XML.SystemSettings.GAME_WINDOW_WIDTH / 2, XML.SystemSettings.GAME_WINDOW_HEIGHT / 2);
        }
    }
}