//---------------------------------------------------------------------------------------------------------------------------------------------------
// <copyright file="PauseScreen.cs" company="DarkWynter Studios">
//     Copyright (C)2007 DarkWynter Studios.  All rights reserved.
// </copyright>
//---------------------------------------------------------------------------------------------------------------------------------------------------
// {License Information: Creative Commons}
//---------------------------------------------------------------------------------------------------------------------------------------------------

namespace ElementalGame
{
    #region Using Statements
    using System;
    using System.Collections.Generic;
    using Microsoft.Xna.Framework;
    using Microsoft.Xna.Framework.Audio;
    using Microsoft.Xna.Framework.Content;
    using Microsoft.Xna.Framework.Graphics;
    using Microsoft.Xna.Framework.Input;
    using Microsoft.Xna.Framework.Storage;
    #endregion

    // The Intro cutscene
    public class Scene2 : CutSceneScreen
    {
        const int SWIRL_TIMER = 500;
        const int SCREEN_TIMER_1500 = 1500;
        const int SCREEN_TIMER_2000 = 2000;
        const int BLACK_TIMER = 500;
        const int SCEENBREAK_TIMER = 3000;

        // Constructor:
        public Scene2()
            : base()
        {
            // Second Cutscene - Dojo go down the hole...
            screens.Add(ElementalGame.content.Load<Texture2D>("_textures/cutScenes/flashback1"));
            screens.Add(ElementalGame.content.Load<Texture2D>("_textures/cutScenes/black"));
            screenTimeDelays.Add(3000);
            screenTimeDelays.Add(BLACK_TIMER);

            screens.Add(ElementalGame.content.Load<Texture2D>("_textures/cutScenes/flashback2"));
            screens.Add(ElementalGame.content.Load<Texture2D>("_textures/cutScenes/black"));
            screenTimeDelays.Add(3000);
            screenTimeDelays.Add(BLACK_TIMER);

            screens.Add(ElementalGame.content.Load<Texture2D>("_textures/cutScenes/flashback3"));
            screens.Add(ElementalGame.content.Load<Texture2D>("_textures/cutScenes/black"));
            screenTimeDelays.Add(3000);
            screenTimeDelays.Add(BLACK_TIMER);

            screens.Add(ElementalGame.content.Load<Texture2D>("_textures/cutScenes/flashback4"));
            screens.Add(ElementalGame.content.Load<Texture2D>("_textures/cutScenes/black"));
            screenTimeDelays.Add(2800);
            screenTimeDelays.Add(BLACK_TIMER);

            screens.Add(ElementalGame.content.Load<Texture2D>("_textures/cutScenes/flashback5"));
            screens.Add(ElementalGame.content.Load<Texture2D>("_textures/cutScenes/black"));
            screenTimeDelays.Add(2800);
            screenTimeDelays.Add(BLACK_TIMER);

            screens.Add(ElementalGame.content.Load<Texture2D>("_textures/cutScenes/flashback6"));
            screens.Add(ElementalGame.content.Load<Texture2D>("_textures/cutScenes/black"));
            screenTimeDelays.Add(2800);
            screenTimeDelays.Add(BLACK_TIMER);

            screens.Add(ElementalGame.content.Load<Texture2D>("_textures/cutScenes/flashback7"));
            screens.Add(ElementalGame.content.Load<Texture2D>("_textures/cutScenes/black"));
            screenTimeDelays.Add(2800);
            screenTimeDelays.Add(BLACK_TIMER);

            screens.Add(ElementalGame.content.Load<Texture2D>("_textures/cutScenes/flashback8"));
            screens.Add(ElementalGame.content.Load<Texture2D>("_textures/cutScenes/black"));
            screenTimeDelays.Add(2800);
            screenTimeDelays.Add(BLACK_TIMER);

            screens.Add(ElementalGame.content.Load<Texture2D>("_textures/cutScenes/flashback9"));
            screens.Add(ElementalGame.content.Load<Texture2D>("_textures/cutScenes/black"));
            screenTimeDelays.Add(2800);
            screenTimeDelays.Add(BLACK_TIMER);

            screens.Add(ElementalGame.content.Load<Texture2D>("_textures/cutScenes/flashback10"));
            screens.Add(ElementalGame.content.Load<Texture2D>("_textures/cutScenes/black"));
            screenTimeDelays.Add(2800);
            screenTimeDelays.Add(BLACK_TIMER);

            screens.Add(ElementalGame.content.Load<Texture2D>("_textures/cutScenes/flashback11"));
            screens.Add(ElementalGame.content.Load<Texture2D>("_textures/cutScenes/black"));
            screenTimeDelays.Add(5800);
            screenTimeDelays.Add(BLACK_TIMER);

            screens.Add(ElementalGame.content.Load<Texture2D>("_textures/cutScenes/Tutor_Fire"));
            screens.Add(ElementalGame.content.Load<Texture2D>("_textures/Loading"));
            screenTimeDelays.Add(10000);
            screenTimeDelays.Add(BLACK_TIMER);
        }
    }
}