//---------------------------------------------------------------------------------------------------------------------------------------------------
// <copyright file="PauseScreen.cs" company="DarkWynter Studios">
//     Copyright (C)2007 DarkWynter Studios.  All rights reserved.
// </copyright>
//---------------------------------------------------------------------------------------------------------------------------------------------------
// {License Information: Creative Commons}
//---------------------------------------------------------------------------------------------------------------------------------------------------

namespace ElementalGame
{
    #region Using Statements
    using System;
    using System.Collections.Generic;
    using Microsoft.Xna.Framework;
    using Microsoft.Xna.Framework.Audio;
    using Microsoft.Xna.Framework.Content;
    using Microsoft.Xna.Framework.Graphics;
    using Microsoft.Xna.Framework.Input;
    using Microsoft.Xna.Framework.Storage;
    #endregion

    // The Intro cutscene
    public class Scene4 : CutSceneScreen
    {
        const int SWIRL_TIMER = 500;
        const int SCREEN_TIMER_1500 = 1500;
        const int SCREEN_TIMER_2000 = 2000;
        const int BLACK_TIMER = 500;
        const int SCEENBREAK_TIMER = 3000;

        // Constructor:
        public Scene4()
            : base()
        {
            // Fourth Cutscene - The War...
            screens.Add(ElementalGame.content.Load<Texture2D>("_textures/cutScenes/dojoHistory1"));
            screens.Add(ElementalGame.content.Load<Texture2D>("_textures/cutScenes/black"));
            screens.Add(ElementalGame.content.Load<Texture2D>("_textures/cutScenes/dojoHistory2"));
            screens.Add(ElementalGame.content.Load<Texture2D>("_textures/cutScenes/black"));
            screens.Add(ElementalGame.content.Load<Texture2D>("_textures/cutScenes/dojoHistory3"));
            screens.Add(ElementalGame.content.Load<Texture2D>("_textures/cutScenes/black"));
            screens.Add(ElementalGame.content.Load<Texture2D>("_textures/cutScenes/dojoHistory4"));
            screens.Add(ElementalGame.content.Load<Texture2D>("_textures/cutScenes/black"));
            screens.Add(ElementalGame.content.Load<Texture2D>("_textures/cutScenes/dojoHistory5"));
            screens.Add(ElementalGame.content.Load<Texture2D>("_textures/cutScenes/black"));
            screens.Add(ElementalGame.content.Load<Texture2D>("_textures/cutScenes/dojoHistory6"));
            screens.Add(ElementalGame.content.Load<Texture2D>("_textures/cutScenes/black"));
            screens.Add(ElementalGame.content.Load<Texture2D>("_textures/cutScenes/dojoHistory7"));
            screens.Add(ElementalGame.content.Load<Texture2D>("_textures/cutScenes/black"));
            screens.Add(ElementalGame.content.Load<Texture2D>("_textures/cutScenes/dojoHistory8"));
            screens.Add(ElementalGame.content.Load<Texture2D>("_textures/cutScenes/black"));

            screenTimeDelays.Add(5000);
            screenTimeDelays.Add(BLACK_TIMER);
            screenTimeDelays.Add(5000);
            screenTimeDelays.Add(BLACK_TIMER);
            screenTimeDelays.Add(5000);
            screenTimeDelays.Add(BLACK_TIMER);
            screenTimeDelays.Add(5000);
            screenTimeDelays.Add(BLACK_TIMER);
            screenTimeDelays.Add(5000);
            screenTimeDelays.Add(BLACK_TIMER);
            screenTimeDelays.Add(5000);
            screenTimeDelays.Add(BLACK_TIMER);
            screenTimeDelays.Add(5000);
            screenTimeDelays.Add(BLACK_TIMER);
            screenTimeDelays.Add(5000);
            screenTimeDelays.Add(BLACK_TIMER);

            screens.Add(ElementalGame.content.Load<Texture2D>("_textures/cutScenes/Tutor_Water"));
            screens.Add(ElementalGame.content.Load<Texture2D>("_textures/Loading"));
            screenTimeDelays.Add(10000);
            screenTimeDelays.Add(BLACK_TIMER);
        }
    }
}