//---------------------------------------------------------------------------------------------------------------------------------------------------
// <copyright file="FontWriter.cs" company="DarkWynter Studios">
//     Copyright (C)2007 DarkWynter Studios.  All rights reserved.
// </copyright>
//---------------------------------------------------------------------------------------------------------------------------------------------------
// {License Information: Creative Commons}
//---------------------------------------------------------------------------------------------------------------------------------------------------

namespace ElementalGame
{
    #region Using Statements
    using System;
    using System.Collections.Generic;
    using System.Text;
    using Microsoft.Xna.Framework.Graphics;
    using Microsoft.Xna.Framework.Content;
    #endregion

    static class FontWriter
    {
        // Attributes:
        // Basic Fonts that are used
        public static SpriteFont Arial;
        public static SpriteFont ComicSans;
        public static SpriteFont ComicSansSmall;

        // Methods:
        // Initialize our Fonts
        public static void initFont(GraphicsDevice device, ContentManager content)
        {
            Arial = content.Load<SpriteFont>("_fonts/Arial");
            ComicSans = content.Load<SpriteFont>("_fonts/ComicSansMS");
            ComicSansSmall = content.Load<SpriteFont>("_fonts/ComicSansSmall");
        }
    }
}